commit:     16a1231d79b7eadf41e266609267e0176e927ca9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  1 22:15:32 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul  1 22:29:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16a1231d

dev-python/pillow: Bump to 8.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pillow/Manifest            |  1 +
 dev-python/pillow/pillow-8.3.0.ebuild | 98 +++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/dev-python/pillow/Manifest b/dev-python/pillow/Manifest
index 4bb03cd2cb3..8871ec905d0 100644
--- a/dev-python/pillow/Manifest
+++ b/dev-python/pillow/Manifest
@@ -1 +1,2 @@
 DIST pillow-8.2.0.tar.gz 47898485 BLAKE2B 
bd8421a101e0be080f2fab238c3c26a4e1e722738e1036bfbb533f420881ea638016ac56e9e66ec74a93c6dafc6e4f8807ec3d504400bb675488da00c9c3cb1c
 SHA512 
40e97a54689ca04349d17b69b0e95bb3ef4fde0b60c6c55a2ec76034a5c2a9ebee0b310f68de1636db08786d9b2ad444bf10ac3b42a31404847cc165aa8392ac
+DIST pillow-8.3.0.tar.gz 48543291 BLAKE2B 
f74f2576e3f906db3c96f0854dcc3d7d5d0248b1e35d32da5f88e41751068012e64fed134f34263e2b244263f655fb2602d00d8d191c04573a93164a2fcc7c22
 SHA512 
ad0f9c50d1dbaaef56fdc43d6b4fa0960453bb0bf60bcafcc33bdbd8e5b4d698e4690baf1ec6be56651153fdbf5af520e9bbd8367a75fe36a995baac47069b4d

diff --git a/dev-python/pillow/pillow-8.3.0.ebuild 
b/dev-python/pillow/pillow-8.3.0.ebuild
new file mode 100644
index 00000000000..2943f29c9d6
--- /dev/null
+++ b/dev-python/pillow/pillow-8.3.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 toolchain-funcs virtualx
+
+MY_PN=Pillow
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python Imaging Library (fork)"
+HOMEPAGE="https://python-pillow.org/";
+SRC_URI="https://github.com/python-pillow/Pillow/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="examples imagequant +jpeg jpeg2k lcms test tiff tk truetype webp xcb 
zlib"
+REQUIRED_USE="test? ( jpeg jpeg2k tiff )"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       imagequant? ( media-gfx/libimagequant:0 )
+       jpeg? ( virtual/jpeg:0 )
+       jpeg2k? ( media-libs/openjpeg:2= )
+       lcms? ( media-libs/lcms:2= )
+       tiff? ( media-libs/tiff:0=[jpeg,zlib] )
+       truetype? ( media-libs/freetype:2= )
+       webp? ( media-libs/libwebp:0= )
+       xcb? ( x11-libs/libxcb )
+       zlib? ( sys-libs/zlib:0= )"
+RDEPEND="${DEPEND}
+       dev-python/olefile[${PYTHON_USEDEP}]"
+BDEPEND="
+       virtual/pkgconfig
+       test? (
+               ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               || (
+                       media-gfx/imagemagick[png]
+                       media-gfx/graphicsmagick[png]
+               )
+       )
+"
+
+python_configure_all() {
+       # It's important that these flags are also passed during the install 
phase
+       # as well. Make sure of that if you change the lines below. See bug 
661308.
+       mydistutilsargs=(
+               build_ext
+               --disable-platform-guessing
+               $(use_enable truetype freetype)
+               $(use_enable jpeg)
+               $(use_enable jpeg2k jpeg2000)
+               $(use_enable lcms)
+               $(use_enable tiff)
+               $(use_enable imagequant)
+               $(use_enable webp)
+               $(use_enable webp webpmux)
+               $(use_enable xcb)
+               $(use_enable zlib)
+       )
+
+       # setup.py sucks at adding the right toolchain paths but it does
+       # accept additional ones from INCLUDE and LIB so set these. You
+       # wouldn't normally need these at all as the toolchain should look
+       # here anyway but this setup.py does stupid things.
+       export \
+               INCLUDE=${ESYSROOT}/usr/include \
+               LIB=${ESYSROOT}/usr/$(get_libdir)
+
+       # We have patched in this env var.
+       tc-export PKG_CONFIG
+}
+
+python_test() {
+       "${EPYTHON}" selftest.py --installed || die "selftest failed with 
${EPYTHON}"
+       # no:relaxed: pytest-relaxed plugin make our tests fail. deactivate if 
installed
+       virtx epytest -p no:relaxed
+}
+
+python_install() {
+       python_doheader src/libImaging/*.h
+       distutils-r1_python_install
+}
+
+python_install_all() {
+       if use examples ; then
+               docinto example
+               dodoc docs/example/*
+               docompress -x /usr/share/doc/${PF}/example
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to